
QGIS Application - Bug report #637

QGIS Crash when WMS getcap fails

2007-03-04 11:46 PM - spatialguru-shaw-ca -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10696

Description

    -  I've built qgis_unstable from source

    -  I "add default services" for WMS

    -  Selected server connection "DM Solutions GMAP" and press "connect" 

    -  Message pops up saying:

 Could not understand the response.  The wms provider said:

 WMS Server responded unexpectedly with HTTP Status Code 502 (Proxy Error)

 Tried URL: http://www2.dmsolutions.ca/cgi-bin/mswms_gmap?SERVICE=WMS&#38;REQUEST=GetCapabilities

    -  I press "close" then QGIS crashes

Let me know if there are more tests I can do.  Same action with Lizardtech connection.  JPL ones seem to work fine.

Dump report from apple tool is attached.

Tyler

History

#1 - 2007-03-05 12:05 AM - Magnus Homann

Did you specify a proxy host?

#2 - 2007-03-05 08:15 AM - spatialguru-shaw-ca -

No, I left proxy host empty as I do not use one.  It is the same as the other entries that work.

#3 - 2007-03-05 11:25 AM - anonymous -

- Resolution set to fixed

- Status changed from Open to Closed

Confirmed, homann's fix https://svn.qgis.org/trac/changeset/6768 worked for me.  Thanks.

#4 - 2009-08-22 12:45 AM - Anonymous

Milestone Version 0.9 deleted
